Bug 839131 (CVE-2012-3865)

Summary: CVE-2012-3865 puppet: authenticated clients allowed to delete arbitrary files on the puppet master
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jrusnack, k.georgiou, ktdreyer, tmz, vanmeeuwen+fedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120710,reported=20120706,source=distros,cvss2=2.1/AV:N/AC:H/Au:S/C:N/I:N/A:P,fedora-all/puppet=affected,epel-all/puppet=affected,mrg-1/puppet=wontfix,openshift-1/puppet=affected,cloudformscommon-1/puppet=affected
Fixed In Version: puppet 2.6.17, puppet 2.7.18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-11 04:30:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 839168, 839171, 839176    
Bug Blocks: 767033, 836071, 839173    

Description Kurt Seifried 2012-07-11 01:02:38 EDT
From puppet labs: CVE-2012-3865 (Arbitrary file delete/D.O.S on Puppet Master)

A bug in Puppet 2.6.16 and 2.7.17 allows authenticated clients to delete 
arbitrary files on the puppet master.

Given a Puppet master with the “Delete” method allowed in auth.conf for an 
authenticated host, an attacker on that host can send a specially crafted 
Delete request that can cause an arbitrary file deletion on the Puppet master,
 potentially causing a denial of service attack. Note that this vulnerability 
does *not* exist in Puppet as configured by default; auth.conf must first be 
edited to enable deletion.

Resolved in Puppet 2.6.17, 2.7.18
Comment 1 Kurt Seifried 2012-07-11 02:42:34 EDT
Created puppet tracking bugs for this issue

Affects: fedora-17 [bug 839168]
Comment 2 Kurt Seifried 2012-07-11 02:47:13 EDT
Created puppet tracking bugs for this issue

Affects: fedora-16 [bug 839171]
Comment 4 Kurt Seifried 2012-07-11 22:37:00 EDT
External Reference:

http://puppetlabs.com/security/cve/cve-2012-3865/
Comment 6 Fedora Update System 2012-07-27 21:17:22 EDT
puppet-2.6.17-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-07-27 21:20:03 EDT
puppet-2.7.18-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-05 02:37:52 EDT
puppet-2.6.17-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-05 02:38:44 EDT
puppet-2.6.17-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Murray McAllister 2012-12-03 01:07:42 EST
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 11 errata-xmlrpc 2012-12-04 14:31:39 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2012:1542 https://rhn.redhat.com/errata/RHSA-2012-1542.html